<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - Djalel Abdemouche
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="gdf">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>gdf</refname>
    <refpurpose>Return handle of default
  figure.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>f = gdf()
f = get("default_figure")</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>f</term>
        <listitem>
          <para>handle, the handle of the default figure.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>The default figure is a graphic entity which is never drawn. It is used
    as a reference for the figure properties default values. These default
    properties values are used to initialize new figures.</para>
    <para>The <literal>gdf</literal> function returns the handle on the default figure.
    The user can use this handle to set or get the figure properties default
    values.</para>
    <para>Note that an equivalent default graphic entity exists for axes entities
    too (see <literal>gda</literal>).</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
f=gdf() // get the handle of the model figure 
// setting its' properties
f.background=7;
f.figure_name="Function gdf()";
f.figure_position=[-1 100];
f.auto_resize="off";
f.figure_size=[300 461];
f.axes_size=[600 400];
plot2d() //create a figure
scf(1);
plot3d() //create a second figure
set(f,"default_values",1); // return to the  default values of figure's model
                           // see sdf() function
scf(2);
plot2d() 
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="gda">gda</link>
      </member>
      <member>
        <link linkend="sdf">sdf</link>
      </member>
      <member>
        <link linkend="sda">sda</link>
      </member>
      <member>
        <link linkend="gcf">gcf</link>
      </member>
      <member>
        <link linkend="get">get</link>
      </member>
      <member>
        <link linkend="scf">scf</link>
      </member>
      <member>
        <link linkend="set">set</link>
      </member>
      <member>
        <link linkend="graphics_entities">graphics_entities</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>Djalel ABDEMOUCHE</para>
  </refsection>
</refentry>
